Subject: Re: Advice!
From: [email-masked] (J.J.Farrell)

6 Apr 1997 10:07:33 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked] (STEVE LUMOS)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "STEVE LUMOS" at Apr 5, 97 04:29:14 pm
X-Mailer: ELM [version 2.4 PL23]
Content-Type: text
Original-Sender: [email-masked]

> From: STEVE LUMOS  <[email-masked]>
> 
> >Aside from my obvious bias, working for Microsoft, there is no way you
> >could offer such an OS.  Heck, nobody can make an OS that's 100%
> >compatible with the last version of the same OS.
> 
> Because Microsoft can't do it doesn't mean that nobody can.  In fact,
> many others have done it.

I'd like to know who and when! I've been developing operating systems
for more years than I care to remember, and I know of no case of 100%
compatibility between versions (unless a version change is something
entirely trivial), either in the ones I've worked on or anyone else's.

It is quite possible, though difficult, to ensure that nothing will
change for those applications which stick absolutely to published APIs
and have no dependency on anything which is not explicitly stated as
part of the API, but (1) I don't believe any such applications exist
in the real world; and (2) that's not what's being discussed anyway.

Regards,
		jjf
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".